# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Mar 23 13:29:58 2023
# ------------------------------------------------

package:
  name: libhdfs3
  version: 2.3.0
source:
  git_rev: dc504af4a2445e9db836d3af9781ccc76c3856f2
  git_url: https://github.com/ContinuumIO/libhdfs3-downstream.git
  patches:
    - 84ebda7d.patch
    - CMakeLists.txt.diff
    - cmake-minimum-req-version.patch
    - missing-namespace-string-npos.patch
build:
  number: '4'
  run_exports:
    - libhdfs3 >=2.3.0,<3.0a0
  string: h6d94e82_4
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - bzip2 1.0.8 hfd63f10_2
    - c-ares 1.19.0 h998d150_0
    - ca-certificates 2023.01.10 hd43f75c_0
    - cmake 3.22.1 h984d34b_0
    - curl 7.88.1 h998d150_0
    - expat 2.4.9 h419075a_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gdbm 1.18 hf59d7a7_4
    - gettext 0.21.0 h8e1abe2_0
    - git 2.34.1 pl5262h0ad1dfb_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - icu 68.1 h22f4aa5_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.19.4 ha2725d6_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libcurl 7.88.1 h79326fa_0
    - libedit 3.1.20221030 h998d150_0
    - libev 4.33 hfd63f10_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hb87466c_0
    - libssh2 1.10.0 ha9ffb65_0
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuv 1.44.2 h998d150_0
    - libxml2 2.9.14 he30c317_0
    - lz4-c 1.9.4 h419075a_0
    - make 4.2.1 hfd63f10_1
    - ncurses 6.4 h419075a_0
    - openssl 1.1.1t h2f4d8fa_0
    - patch 2.7.6 hfd63f10_1001
    - pcre2 10.37 ha6b7f17_1
    - perl 5.34.0 h998d150_2
    - readline 8.2 h998d150_0
    - rhash 1.4.1 hcd09bdd_1
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tk 8.6.12 h241ca14_0
    - xz 5.2.10 h998d150_1
    - zlib 1.2.13 h998d150_0
    - zstd 1.5.2 hfcb3217_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - c-ares 1.19.0 h998d150_0
    - ca-certificates 2023.01.10 hd43f75c_0
    - icu 68.1 h22f4aa5_0
    - krb5 1.19.4 ha2725d6_0
    - libboost 1.73.0 ha4dbb3a_12
    - libcurl 7.88.1 h79326fa_0
    - libedit 3.1.20221030 h998d150_0
    - libev 4.33 hfd63f10_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgcrypt 1.9.3 hfd63f10_0
    - libgomp 11.2.0 h1234567_1
    - libgpg-error 1.42 h7c1a80f_0
    - libgsasl 1.8.1 h2f4d8fa_0
    - libnghttp2 1.46.0 hb87466c_0
    - libntlm 1.6 h2f4d8fa_0
    - libprotobuf 3.20.3 h94b7715_0
    - libssh2 1.10.0 ha9ffb65_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - libxml2 2.10.3 hd6958ba_0
    - lz4-c 1.9.4 h419075a_0
    - ncurses 6.4 h419075a_0
    - openssl 1.1.1t h2f4d8fa_0
    - xz 5.2.10 h998d150_1
    - zlib 1.2.13 h998d150_0
    - zstd 1.5.2 hfcb3217_0
  run:
    - krb5 >=1.19.4,<1.20.0a0
    - libboost >=1.73.0,<1.73.1.0a0
    - libcurl >=7.88.1,<8.0a0
    - libgcc-ng >=11.2.0
    - libgsasl >=1.8.1,<2.0a0
    - libntlm >=1.6,<2.0a0
    - libprotobuf >=3.20.3,<3.21.0a0
    - libstdcxx-ng >=11.2.0
    - libuuid >=1.41.5,<2.0a0
    - libxml2 >=2.10.3,<2.11.0a0
    - openssl >=1.1.1t,<1.1.2a
test:
  commands:
    - test -f $PREFIX/lib/libhdfs3.so
    - conda inspect linkages -p $PREFIX libhdfs3
about:
  dev_url: https://github.com/ContinuumIO/libhdfs3-downstream
  doc_url: https://github.com/ContinuumIO/libhdfs3-downstream/blob/master/libhdfs3/README.md
  home: https://github.com/ContinuumIO/libhdfs3-downstream
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: A Native C/C++ HDFS Client
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: e8d5d144-149c-4d68-956b-5bdc2e26501f
  recipe-maintainers:
    - koverholt
    - martindurant
    - mrocklin
  remote_url: git@github.com:AnacondaRecipes/libhdfs3-feedstock.git
  sha: 76217d6cdb7e327e861863f175dd8daf238f639b
